Name:           slang
Version:        2025.2
Release:        %autorelease
Summary:        The Slang Shader Language and Associated Tools

License:        Apache-2.0 WITH LLVM-exception
URL:            https://github.com/shader-slang/%{name}
Source0:        https://github.com/shader-slang/%{name}/archive/v%{version}/v%{version}.tar.gz
Source1:        https://github.com/martinus/unordered_dense/archive/v4.5.0/v4.5.0.tar.gz
Source2:        https://github.com/KhronosGroup/glslang/archive/15.1.0/15.1.0.tar.gz
%global commit3 d1f2718165d0d540c8fc1eacf20b9edd2d6faac0
%global shortcommit3 %(c=%{commit}; echo ${c:0:7})
Source3:        https://github.com/shader-slang/%{name}-rhi/archive/%{commit3}.tar.gz
Source4:        https://github.com/KhronosGroup/SPIRV-Tools/archive/v2024.2/v2024.2.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  python3
BuildRequires:  git

BuildRequires:  glm-devel
BuildRequires:  miniz-devel
BuildRequires:  lz4-devel
BuildRequires:  vulkan-headers
BuildRequires:  spirv-headers-devel

Requires:       glm
Requires:       miniz
Requires:       lz4


%description


%prep
%setup -n %{name}-%{version} -a 1 -a 2 -a 3 -a 4
ls .
rmdir external/unordered_dense
mv -f unordered_dense-4.5.0 external/unordered_dense
rmdir external/glslang
mv -f glslang-15.1.0 external/glslang
rmdir external/slang-rhi
mv -f slang-rhi-%{commit3} external/slang-rhi
rmdir external/spirv-tools
mv -f SPIRV-Tools-2024.2 external/spirv-tools
ls external/spirv-tools


%build
%cmake -G Ninja \
	-DSLANG_VERSION=v2025.2 \
	-DSLANG_VERSION_FULL=v2025.2 \
	-DSPIRV-Headers_SOURCE_DIR=/usr \
	-DSLANG_SLANG_LLVM_FLAVOR=USE_SYSTEM_LLVM \
	-DSLANG_ENABLE_OPTIX=OFF \
	-DSLANG_ENABLE_CUDA=OFF \
	-DSLANG_ENABLE_AFTERMATH=OFF \
	-DSLANG_ENABLE_EXAMPLES=OFF \
	-DSLANG_USE_SYSTEM_MINIZ=ON \
	-DSLANG_USE_SYSTEM_LZ4=ON \
	-DSLANG_USE_SYSTEM_VULKAN_HEADERS=ON \
	-DSLANG_USE_SYSTEM_SPIRV_HEADERS=ON 
%cmake_build


%install
%cmake_install

%files
%license LICENSE
#%doc add-docs-here



%changelog
%autochangelog
#* Tue Jan 14 2025 Madeline Whitmore <madeline-whitmore@protonmail.com>
#- 
